Get managed wallet balances
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.prudra.dev/wallet-infra/master-wallets/{id}/balances', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.prudra.dev/wallet-infra/master-wallets/{id}/balances"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)curl --request GET \
--url https://api.prudra.dev/wallet-infra/master-wallets/{id}/balances \
--header 'Authorization: Bearer <token>'[
{
"tokenSymbol": "USDC",
"formattedBalance": "100.00",
"rawBalance": "100000000",
"chain": "base"
}
]Wallets
Get managed wallet balances
GET
/
wallet-infra
/
master-wallets
/
{id}
/
balances
Get managed wallet balances
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.prudra.dev/wallet-infra/master-wallets/{id}/balances', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.prudra.dev/wallet-infra/master-wallets/{id}/balances"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)curl --request GET \
--url https://api.prudra.dev/wallet-infra/master-wallets/{id}/balances \
--header 'Authorization: Bearer <token>'[
{
"tokenSymbol": "USDC",
"formattedBalance": "100.00",
"rawBalance": "100000000",
"chain": "base"
}
]Authorizations
Your Prudra API key. Get one at dashboard.prudra.com/settings/api-keys

